Redmine - Patch #39889

Update RuboCop Rails to 2.27
2023-12-20 10:40 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 6.0.0

Description

https://rubygems.org/gems/rubocop-rails

Associated revisions

Revision 22537 - 2023-12-20 10:41 - Go MAEDA
Update RuboCop Rails to 2.23 (#39889).

Revision 22772 - 2024-03-08 08:24 - Go MAEDA
Update RuboCop Rails to 2.24 (#39889).

Revision 22837 - 2024-05-18 07:56 - Go MAEDA
Fix RuboCop offense Rails/HttpStatus (#39889).

Revision 22838 - 2024-05-18 08:17 - Go MAEDA
Fix RuboCop offense Rails/WhereRange (#39889).

Revision 22839 - 2024-05-18 08:20 - Go MAEDA
Update RuboCop Rails to 2.25 (#39889).

Revision 22876 - 2024-06-12 18:09 - Go MAEDA

Fix "ArgumentError: Invalid response name: unprocessable_entity" with Rack 3.1.0+ in assert_response (#39889).

Rack 3.1.0 changed the symbol for HTTP status code 422 from “:unprocessable_entity" to “:unprocessable_content’.

Due to the change, “assert_response(:unprocessable_entity, ...)" raises ArgumentError with Rack 3.1.0+.

This fix is a follow-up to r22837.

Revision 22879 - 2024-06-17 05:11 - Go MAEDA
Fix RuboCop offense Rails/ActiveRecordCallbacksOrder (#39889).

Revision 22985 - 2024-08-25 07:08 - Go MAEDA
Fix RuboCop offense Rails/PluralizationGrammar (#39889).

Revision 22986 - 2024-08-25 07:09 - Go MAEDA
Update RuboCop Rails to 2.26 (#39889).

Revision 23165 - 2024-10-27 06:38 - Go MAEDA
Update RuboCop Rails to 2.27 (#39889).

History

#1 - 2023-12-20 10:41 - Go MAEDA

- Status changed from New to Closed

Updated RuboCop Rails to 2.23 in r22537.

#2 - 2024-03-08 08:25 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/22537

- Subject changed from Update RuboCop Rails to 2.23 to Update RuboCop Rails to 2.24

Updated RuboCop Rails to 2.24 in r22772.

#3 - 2024-05-18 08:20 - Go MAEDA
- Subject changed from Update RuboCop Rails to 2.24 to Update RuboCop Rails to 2.25

Updated RuboCop Rails to 2.25 in r22839.

#4 - 2024-10-27 06:39 - Go MAEDA
- Subject changed from Update RuboCop Rails to 2.25 to Update RuboCop Rails to 2.27

Updated RuboCop Rails to 2.27 in r23165.
